Межсайтовый скриптинг в HTML::Template::Pro

Дата публикации:
21.12.2011
Дата изменения:
21.12.2011
Всего просмотров:
1068
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:5/Temporal:3.7
CVE ID:
CVE-2011-4616
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
HTML::Template::Pro 0.x
Уязвимые версии: HTML::Template::Pro все версии до 0.9507.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за неопределенной ошибки при обработке входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://search.cpan.org/~viy/HTML-Template-Pro-0.9507/lib/HTML/Template/Pro.pm

Решение: Установите последнюю версию 0.9507 с сайта производителя.

Ссылки: http://cpansearch.perl.org/src/VIY/HTML-Template-Pro-0.9507/Changes
http://metacpan.org/diff/release/VIY/HTML-Template-Pro-0.9505/VIY/HTML-Template-Pro-0.9507

или введите имя

CAPTCHA